/*
 * java-gnome, a UI library for writing GTK and GNOME programs from Java!
 *
 * Copyright ? 2006-2012 Operational Dynamics Consulting, Pty Ltd and Others
 *
 * The code in this file, and the program it is a part of, is made available
 * to you by its authors as open source software: you can redistribute it
 * and/or modify it under the terms of the GNU General Public License version
 * 2 ("GPL") as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GPL for more details.
 *
 * You should have received a copy of the GPL along with this program. If not,
 * see http://www.gnu.org/licenses/. The authors of this program may be
 * contacted through http://java-gnome.sourceforge.net/.
 *
 * Linking this library statically or dynamically with other modules is making
 * a combined work based on this library. Thus, the terms and conditions of
 * the GPL cover the whole combination. As a special exception (the
 * "Classpath Exception"), the copyright holders of this library give you
 * permission to link this library with independent modules to produce an
 * executable, regardless of the license terms of these independent modules,
 * and to copy and distribute the resulting executable under terms of your
 * choice, provided that you also meet, for each linked independent module,
 * the terms and conditions of the license of that module. An independent
 * module is a module which is not derived from or based on this library. If
 * you modify this library, you may extend the Classpath Exception to your
 * version of the library, but you are not obligated to do so. If you do not
 * wish to do so, delete this exception statement from your version.
 */

/*
 * THIS FILE IS GENERATED CODE!
 *
 * To modify its contents or behaviour, either update the generation program,
 * change the information in the source defs file, or implement an override for
 * this class.
 */

#include <jni.h>
#include <gtk/gtk.h>
#include <gtk/gtkunixprint.h>
#include "bindings_java.h"
#include "org_gnome_unixprint_GtkPrintJob.h"

JNIEXPORT jlong JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1new
(
	JNIEnv* env,
	jclass cls,
	jstring _title,
	jlong _printer,
	jlong _settings,
	jlong _pageSetup
)
{
	GtkPrintJob* result;
	jlong _result;
	const gchar* title;
	GtkPrinter* printer;
	GtkPrintSettings* settings;
	GtkPageSetup* pageSetup;

	// convert parameter title
	title = (const gchar*) bindings_java_getString(env, _title);
	if (title == NULL) {
		return 0L; // Java Exception already thrown
	}

	// convert parameter printer
	printer = (GtkPrinter*) _printer;

	// convert parameter settings
	settings = (GtkPrintSettings*) _settings;

	// convert parameter pageSetup
	pageSetup = (GtkPageSetup*) _pageSetup;

	// call function
	result = gtk_print_job_new(title, printer, settings, pageSetup);

	// cleanup parameter title
	bindings_java_releaseString(title);

	// cleanup parameter printer

	// cleanup parameter settings

	// cleanup parameter pageSetup

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, TRUE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1settings
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrintSettings* result;
	jlong _result;
	GtkPrintJob* self;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_settings(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1printer
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrinter* result;
	jlong _result;
	GtkPrintJob* self;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_printer(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jlong) result;

	// cleanup return value
	if (result != NULL) {
		bindings_java_memory_cleanup((GObject*)result, FALSE);
	}

	// and finally
	return _result;
}

JNIEXPORT jstring JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1title
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	const gchar* result;
	jstring _result;
	GtkPrintJob* self;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_title(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jstring) bindings_java_newString(env, result);

	// and finally
	return _result;
}

JNIEXPORT jint JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1status
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	GtkPrintStatus result;
	jint _result;
	GtkPrintJob* self;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_status(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jint) result;

	// and finally
	return _result;
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1set_1source_1file
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jstring _filename
)
{
	gboolean result;
	jboolean _result;
	GtkPrintJob* self;
	const gchar* filename;
	GError* error = NULL;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// convert parameter filename
	filename = (const gchar*) bindings_java_getString(env, _filename);
	if (filename == NULL) {
		return  JNI_FALSE; // Java Exception already thrown
	}

	// call function
	result = gtk_print_job_set_source_file(self, filename, &error);

	// cleanup parameter self

	// cleanup parameter filename
	bindings_java_releaseString(filename);

	// check for error
	if (error) {
		bindings_java_throwGlibException(env, error);
		return  JNI_FALSE;
	}

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}

JNIEXPORT jlong JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1surface
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	cairo_surface_t* result;
	jlong _result;
	GtkPrintJob* self;
	GError* error = NULL;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_surface(self, &error);

	// cleanup parameter self

	// check for error
	if (error) {
		bindings_java_throwGlibException(env, error);
		return 0L;
	}

	// translate return value to JNI type
	_result = (jlong) result;

	// and finally
	return _result;
}

JNIEXPORT void JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1set_1track_1print_1status
(
	JNIEnv* env,
	jclass cls,
	jlong _self,
	jboolean _trackStatus
)
{
	GtkPrintJob* self;
	gboolean trackStatus;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// convert parameter trackStatus
	trackStatus = (gboolean) _trackStatus;

	// call function
	gtk_print_job_set_track_print_status(self, trackStatus);

	// cleanup parameter self

	// cleanup parameter trackStatus
}

JNIEXPORT jboolean JNICALL
Java_org_gnome_unixprint_GtkPrintJob_gtk_1print_1job_1get_1track_1print_1status
(
	JNIEnv* env,
	jclass cls,
	jlong _self
)
{
	gboolean result;
	jboolean _result;
	GtkPrintJob* self;

	// convert parameter self
	self = (GtkPrintJob*) _self;

	// call function
	result = gtk_print_job_get_track_print_status(self);

	// cleanup parameter self

	// translate return value to JNI type
	_result = (jboolean) result;

	// and finally
	return _result;
}
